PHP Manual
后退 |  | 前进

# DOMElement->setAttributeNS()

(no version information, might be only in CVS)

DOMElement->setAttributeNS() -- Adds new attribute

## 说明

class DOMElement {
void setAttributeNS ( string namespaceURI, string qualifiedName, string value )
}

Sets an attribute with namespace namespaceURI and name name to the given value. If the attribute does not exist, it will be created.

## 参数

namespaceURI

  The namespace URI.

qualifiedName

  The qualified name of the attribute, as prefix:tagname.

value

  The value of the attribute.

## 返回值

无返回值。

## 异常

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a malformed qualified name, or if qualifiedName has a prefix and namespaceURI is `NULL`.

## 参见

DOMElement->hasAttributeNS()
DOMElement->getAttributeNS()
DOMElement->removeAttributeNS()

后退 | 起点 | 前进
DOMElement->setAttributeNodeNS() | 上一级 | DOMAttr->__construct()